---
name: "getPanelAgentProjectInfo"
mode: "api"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.6" }
---

## getPanelAgentProjectInfo

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.6

> 💡 This API depends on cloud capabilities. In the Miniapp Developer Platform (https://platform.tuya.com/miniapp/), go to Development Settings > Cloud Capabilities to configure authorization.

### Description

Query agent project information.

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `GetPanelAgentProjectInfoParams` | Yes | Request body |

### Return Value

Type: `Promise<GetPanelAgentProjectInfoResult>`

GetPanelAgentProjectInfoResult (see type definitions and minituya return parameters for field meanings)

##### GetPanelAgentProjectInfoResult

| Property | Type | Description |
| --- | --- | --- |
| `projectCode` | `string` | Agent code |
| `supportMultiRole` | `boolean` | Whether it is multi-role (multi-role or single-role) |
| `llmSupportFuncTagList` | `string[]` | Multimodal capability tags returned in single-role mode |

### Referenced Types

##### `interface` GetPanelAgentProjectInfoParams

| Property | Type | Description |
| --- | --- | --- |
| `devId` | `string` | Device ID |


### Examples

#### Request example

```typescript
import { getPanelAgentProjectInfo } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
};

getPanelAgentProjectInfo(params)
  .then(result => {
    console.log('Project info:', result);
  })
  .catch(error => {
    console.error('Failed to get project info:', error);
  });
```

#### Response example

```json
{
  "projectCode": "agent_project_001",
  "supportMultiRole": true,
  "llmSupportFuncTagList": ["text", "image", "voice"]
}
```
